Luma
Event discovery platform — events, search, calendars, categories, and places.
- Events: Get event details or browse events by city
- Search: Search events by keyword within a city
- Calendars: Browse events from a specific community calendar
- Categories: List all event categories
- Places: Get city/place info
Events
GET /luma/events/:eventId — 2 credits
Get a Luma event by its API ID.
| Param | Type | Required | Default | Description |
|---|---|---|---|---|
eventId | string | Yes | — | Event API ID (e.g. evt-HcF3lY9ocKFrEuC) |
cURL
curl -H "x-api-key: sk_byc_xxx" \
https://api.bycrawl.com/luma/events/evt-HcF3lY9ocKFrEuCResponse
{
"id": "evt-HcF3lY9ocKFrEuC",
"url": "https://luma.com/dw0ocvt7",
"name": "Building a Better Social Media with Retro",
"coverUrl": "https://images.lumacdn.com/event-covers/ml/...",
"startAt": "2026-03-18T10:30:00.000Z",
"endAt": "2026-03-18T12:00:00.000Z",
"timezone": "Asia/Taipei",
"locationType": "offline",
"location": {
"type": "offline",
"address": "Taipei Municipal Stadium",
"city": "Songshan District",
"region": "Songshan District, Taipei City"
},
"guestCount": 50,
"ticketInfo": {
"isFree": true,
"price": null,
"isSoldOut": false,
"spotsRemaining": 20
},
"hosts": [
{
"id": "usr-abc",
"name": "Carter Wang",
"username": "carterwang",
"bio": "associate at 886 Studios"
}
],
"calendar": {
"id": "cal-YDazDmfi5UlPvrC",
"name": "886 Studios",
"slug": "886"
}
}GET /luma/places/:placeId/events — 2 credits
Get events for a city/place.
| Param | Type | Required | Default | Description |
|---|---|---|---|---|
placeId | string | Yes | — | Discover place ID (e.g. discplace-fi7MDZq99wfKWfa) |
count | integer | No | 25 | Number of events (max 50) |
cursor | string | No | — | Pagination cursor |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/luma/places/discplace-fi7MDZq99wfKWfa/events?count=10"Response
{
"events": [
{
"id": "evt-HcF3lY9ocKFrEuC",
"name": "Building a Better Social Media with Retro",
"startAt": "2026-03-18T10:30:00.000Z",
"guestCount": 50
}
],
"nextCursor": "eyJzdiI6...",
"hasMore": true
}Search
GET /luma/events/search — 2 credits
Search events by keyword within a city/place.
| Param | Type | Required | Default | Description |
|---|---|---|---|---|
place_id | string | Yes | — | Discover place ID (city) |
q | string | Yes | — | Search query |
count | integer | No | 25 | Number of results (max 50) |
cursor | string | No | — | Pagination cursor |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/luma/events/search?place_id=discplace-fi7MDZq99wfKWfa&q=AI&count=10"Calendars
GET /luma/calendars/:calendarId/events — 2 credits
Get events from a specific calendar/community.
| Param | Type | Required | Default | Description |
|---|---|---|---|---|
calendarId | string | Yes | — | Calendar ID (e.g. cal-YDazDmfi5UlPvrC) |
count | integer | No | 25 | Number of events (max 50) |
cursor | string | No | — | Pagination cursor |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/luma/calendars/cal-YDazDmfi5UlPvrC/events?count=10"Categories
GET /luma/categories — 1 credit
List all event categories.
cURL
curl -H "x-api-key: sk_byc_xxx" \
https://api.bycrawl.com/luma/categoriesResponse
[
{
"id": "cat-tech",
"name": "Tech",
"slug": "tech",
"description": "Join a hackathon, jam on product design...",
"eventCount": 5477,
"subscriberCount": 29179
}
]Places
GET /luma/places/:placeId — 1 credit
Get city/place info by its discover place ID.
| Param | Type | Required | Default | Description |
|---|---|---|---|---|
placeId | string | Yes | — | Discover place ID |
cURL
curl -H "x-api-key: sk_byc_xxx" \
https://api.bycrawl.com/luma/places/discplace-fi7MDZq99wfKWfaResponse
{
"id": "discplace-fi7MDZq99wfKWfa",
"name": "Taipei",
"slug": "taipei",
"description": "In Taipei, you can find events ranging from...",
"eventCount": 7,
"continent": "apac"
}